Bug 1177408 (CVE-2020-15967)

Summary: VUL-0: chromium: Update to 86.0.4240.75
Product: [openSUSE] openSUSE Distribution Reporter: Alexandros Toptsoglou <atoptsoglou>
Component: SecurityAssignee: Tomáš Chvátal <tchvatal>
Status: RESOLVED FIXED QA Contact: E-mail List <qa-bugs>
Severity: Critical    
Priority: P2 - High CC: atoptsoglou, meissner, security-team
Version: Leap 15.1   
Target Milestone: ---   
Hardware: Other   
OS: Other   
Whiteboard:
Found By: --- Services Priority:
Business Priority: Blocker: ---
Marketing QA Status: --- IT Deployment: ---

Description Alexandros Toptsoglou 2020-10-07 07:55:52 UTC
CVE-2020-15967: Use after free in payments.
CVE-2020-15968: Use after free in Blink.
CVE-2020-15969: Use after free in WebRTC. 
CVE-2020-15970: Use after free in NFC.
CVE-2020-15971: Use after free in printing. 
CVE-2020-15972: Use after free in audio. 
CVE-2020-15990: Use after free in autofill. 
CVE-2020-15991: Use after free in password manager.
CVE-2020-15973: Insufficient policy enforcement in extensions.
CVE-2020-15974: Integer overflow in Blink. 
CVE-2020-15975: Integer overflow in SwiftShader. 
CVE-2020-15976: Use after free in WebXR. 
CVE-2020-6557: Inappropriate implementation in networking. 
CVE-2020-15977: Insufficient data validation in dialogs.
CVE-2020-15978: Insufficient data validation in navigation.
CVE-2020-15979: Inappropriate implementation in V8.
CVE-2020-15980: Insufficient policy enforcement in Intents.
CVE-2020-15981: Out of bounds read in audio. 
CVE-2020-15982: Side-channel information leakage in cache. 
CVE-2020-15983: Insufficient data validation in webUI.
CVE-2020-15984: Insufficient policy enforcement in Omnibox. 
CVE-2020-15985: Inappropriate implementation in Blink. 
CVE-2020-15986: Integer overflow in media. 
CVE-2020-15987: Use after free in WebRTC. 
CVE-2020-15992: Insufficient policy enforcement in networking. 
CVE-2020-15988: Insufficient policy enforcement in downloads.
CVE-2020-15989: Uninitialized Use in PDFium. 

Reference 

https://chromereleases.googleblog.com/2020/10/stable-channel-update-for-desktop.html
Comment 2 OBSbugzilla Bot 2020-10-15 07:40:07 UTC
This is an autogenerated message for OBS integration:
This bug (1177408) was mentioned in
https://build.opensuse.org/request/show/841866 Factory / chromium
Comment 3 OBSbugzilla Bot 2020-10-15 11:20:06 UTC
This is an autogenerated message for OBS integration:
This bug (1177408) was mentioned in
https://build.opensuse.org/request/show/841893 15.2 / chromium
https://build.opensuse.org/request/show/841894 15.1 / chromium
Comment 4 Marcus Meissner 2020-10-22 08:16:57 UTC
released
Comment 5 Swamp Workflow Management 2020-10-22 10:20:01 UTC
openSUSE-SU-2020:1705-1: An update that fixes 27 vulnerabilities is now available.

Category: security (critical)
Bug References: 1177408
CVE References: CVE-2020-15967,CVE-2020-15968,CVE-2020-15969,CVE-2020-15970,CVE-2020-15971,CVE-2020-15972,CVE-2020-15973,CVE-2020-15974,CVE-2020-15975,CVE-2020-15976,CVE-2020-15977,CVE-2020-15978,CVE-2020-15979,CVE-2020-15980,CVE-2020-15981,CVE-2020-15982,CVE-2020-15983,CVE-2020-15984,CVE-2020-15985,CVE-2020-15986,CVE-2020-15987,CVE-2020-15988,CVE-2020-15989,CVE-2020-15990,CVE-2020-15991,CVE-2020-15992,CVE-2020-6557
JIRA References: 
Sources used:
openSUSE Leap 15.2 (src):    chromium-86.0.4240.75-lp152.2.39.1, gn-0.1807-lp152.2.3.1
openSUSE Leap 15.1 (src):    chromium-86.0.4240.75-lp151.2.144.1, gn-0.1807-lp151.2.6.1
Comment 6 Swamp Workflow Management 2020-10-23 16:16:53 UTC
openSUSE-SU-2020:1715-1: An update that fixes 27 vulnerabilities is now available.

Category: security (critical)
Bug References: 1177408
CVE References: CVE-2020-15967,CVE-2020-15968,CVE-2020-15969,CVE-2020-15970,CVE-2020-15971,CVE-2020-15972,CVE-2020-15973,CVE-2020-15974,CVE-2020-15975,CVE-2020-15976,CVE-2020-15977,CVE-2020-15978,CVE-2020-15979,CVE-2020-15980,CVE-2020-15981,CVE-2020-15982,CVE-2020-15983,CVE-2020-15984,CVE-2020-15985,CVE-2020-15986,CVE-2020-15987,CVE-2020-15988,CVE-2020-15989,CVE-2020-15990,CVE-2020-15991,CVE-2020-15992,CVE-2020-6557
JIRA References: 
Sources used:
openSUSE Backports SLE-15-SP1 (src):    chromium-86.0.4240.75-bp151.3.113.1, gn-0.1807-bp151.3.6.1
Comment 7 OBSbugzilla Bot 2020-11-03 11:40:08 UTC
This is an autogenerated message for OBS integration:
This bug (1177408) was mentioned in
https://build.opensuse.org/request/show/845668 Backports:SLE-15-SP2 / chromium+gn
Comment 8 Swamp Workflow Management 2020-11-05 14:15:10 UTC
openSUSE-SU-2020:1829-1: An update that fixes 39 vulnerabilities is now available.

Category: security (important)
Bug References: 1177408,1177936,1178375
CVE References: CVE-2020-15967,CVE-2020-15968,CVE-2020-15969,CVE-2020-15970,CVE-2020-15971,CVE-2020-15972,CVE-2020-15973,CVE-2020-15974,CVE-2020-15975,CVE-2020-15976,CVE-2020-15977,CVE-2020-15978,CVE-2020-15979,CVE-2020-15980,CVE-2020-15981,CVE-2020-15982,CVE-2020-15983,CVE-2020-15984,CVE-2020-15985,CVE-2020-15986,CVE-2020-15987,CVE-2020-15988,CVE-2020-15989,CVE-2020-15990,CVE-2020-15991,CVE-2020-15992,CVE-2020-15999,CVE-2020-16000,CVE-2020-16001,CVE-2020-16002,CVE-2020-16003,CVE-2020-16004,CVE-2020-16005,CVE-2020-16006,CVE-2020-16007,CVE-2020-16008,CVE-2020-16009,CVE-2020-16011,CVE-2020-6557
JIRA References: 
Sources used:
openSUSE Backports SLE-15-SP2 (src):    chromium-86.0.4240.183-bp152.2.26.1, gn-0.1807-bp152.2.3.4
Comment 9 OBSbugzilla Bot 2021-12-15 09:40:53 UTC
This is an autogenerated message for OBS integration:
This bug (1177408) was mentioned in
https://build.opensuse.org/request/show/940663 Backports:SLE-12-SP3 / chromium